Social Fetch
Twitch

Get Twitch profile

Get a Twitch profile for a channel by handle.

GET/v1/twitch/profiles/{handle}
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
1
handle*stringpath

Twitch handle to look up, with or without a leading @.

min 1 chars · max 64 chars

Response fields
42

Endpoint-specific response payload.

datalookupStatus
string

Whether the profile was found.

one of: found, not_found

Profile details when available.

dataprofileplatform
string

Social platform for this profile.

one of: twitch

dataprofilehandle
string

Twitch login without a leading @.

dataprofiledisplayName
stringnullable

Public display name on the Twitch profile.

dataprofilebio
stringnullable

Profile description text.

dataprofileavatarUrl
stringnullable

Best available profile image URL.

dataprofilebannerUrl
stringnullable

Profile banner image URL when available.

dataprofileprofileUrl
string

Canonical public Twitch channel URL.

min 1 chars

dataprofileplatformUserId
stringnullable

Twitch user id as a string when available.

dataprofileisPartner
booleannullable

Whether the channel is a Twitch Partner when known.

dataprofileisLive
booleannullable

Whether the channel is currently live when known.

dataprofilecurrentViewersCount
integernullable

Current live viewer count when the channel is live.

≥ 0

Linked social accounts when available.

dataprofilesocialLinksx
stringnullable

Linked X (Twitter) URL when available.

dataprofilesocialLinksinstagram
stringnullable

Linked Instagram URL when available.

dataprofilesocialLinksyoutube
stringnullable

Linked YouTube URL when available.

dataprofilesocialLinkstiktok
stringnullable

Linked TikTok URL when available.

Profile metrics when available.

datametricsfollowers
integernullable

Follower count for the channel when available.

≥ 0

Recent videos or broadcasts from the channel when available.

datarecentVideos[]id
string

Twitch video id.

min 1 chars

datarecentVideos[]title
stringnullable

Video title when available.

datarecentVideos[]thumbnailUrl
stringnullable

Preview thumbnail URL when available.

datarecentVideos[]publishedAt
stringnullable

ISO-8601 publish timestamp when available.

datarecentVideos[]viewCount
integernullable

View count when available.

≥ 0

datarecentVideos[]durationSeconds
integernullable

Video duration in seconds when available.

≥ 0

Game or category for the video when available.

datarecentVideos[]gameid
stringnullable

Game or category id when available.

datarecentVideos[]gameslug
stringnullable

Game or category slug when available.

datarecentVideos[]gamename
stringnullable

Game or category display name when available.

datarecentVideos[]gameboxArtUrl
stringnullable

Box art image URL when available.

Similar streamers suggested for the channel when available.

datasimilarStreamers[]platformUserId
stringnullable

Twitch user id when available.

datasimilarStreamers[]handle
stringnullable

Twitch login when available.

datasimilarStreamers[]displayName
stringnullable

Display name when available.

datasimilarStreamers[]avatarUrl
stringnullable

Profile image URL when available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/twitch/profiles/ishowspeed" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Twitch profile lookup result.